#
# Conditional build:
%bcond_with	tests		# tests. requires RSpec3

%define	pkgname	hashicorp-checkpoint
Summary:	Internal HashiCorp service to check version information
Name:		ruby-%{pkgname}
Version:	0.1.5
Release:	1
License:	MPL v2.0
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	b0a723177d1485a5d4538270ff77ca09
URL:		http://www.hashicorp.com
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-bundler < 2
BuildRequires:	ruby-bundler >= 1.6
BuildRequires:	ruby-rake
BuildRequires:	ruby-rspec < 3.1
BuildRequires:	ruby-rspec >= 3.0.0
BuildRequires:	ruby-rspec-its < 1.1
BuildRequires:	ruby-rspec-its >= 1.0.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internal HashiCorp service to check version information.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
rspec spec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.txt
%{ruby_vendorlibdir}/checkpoint.rb
%{ruby_vendorlibdir}/checkpoint
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Sun Jul 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-hashicorp-checkpoint.git;a=log;h=master

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> dff182c
- up to 0.1.5

* Sun Apr 17 2016 Elan Ruusamäe <glen@delfi.ee> 6287536
- ruby 2.1 rebuild
- release 2 (by relup.sh)

* Tue Dec 16 2014 Elan Ruusamäe <glen@delfi.ee> 17fe6e1
- new, version 0.1.4

